[Overview][Types][Classes][Variables][Index] | Reference for unit 'AVL_Tree' (#fcl)

# TAVLTreeNodeClass

Class of TAVLTreeNode

## Declaration

Source position: avl_tree.pp line 55

`type TAVLTreeNodeClass = class of TAVLTreeNode;`

## Description

TAVLTreeNodeClass is the class of TAVLTreeNode. It is the type of the TAVLTree.NodeClass property and determines what class of nodes will be created by the tree.

## See also

TAVLTreeNode |  | Represents a node in the tree.
TAVLTree.NodeClass |  | Node class to create
TAVLTree |  | AVL tree component